package com.ruoyi.system.service;

import com.ruoyi.system.domain.UDevice;

import java.util.List;

public interface IUDeviceService {
    UDevice selectById(Long deviceId, Long ownerUserId);

    List<UDevice> selectList(Long ownerUserId, UDevice query);

    int addDevice(Long ownerUserId, String operator, UDevice device);

    int editDevice(Long ownerUserId, String operator, UDevice device);

    int removeDevices(Long ownerUserId, String operator, Long[] deviceIds);
}
